tbb::interface6::internal::basic_operation_base Class Referenceabstract

`#include <aggregator.h>`

Inheritance diagram for tbb::interface6::internal::basic_operation_base:
Collaboration diagram for tbb::interface6::internal::basic_operation_base:

## Public Member Functions

| basic_operation_base ()
virtual | ~basic_operation_base ()
Public Member Functions inherited from tbb::interface6::aggregator_operation
| aggregator_operation ()
void | start ()
| Call start before handling this operation. More...
void | finish ()
| Call finish when done handling this operation. More...
aggregator_operation * | next ()
void | set_next (aggregator_operation *n)

## Private Member Functions

virtual void | apply_body ()=0

## Friends

class | basic_handler

## Additional Inherited Members

Public Types inherited from tbb::interface6::aggregator_operation
enum | aggregator_operation_status { agg_waiting =0 , agg_finished }

## Detailed Description

Definition at line 53 of file aggregator.h.

## Constructor & Destructor Documentation

## basic_operation_base()

tbb::interface6::internal::basic_operation_base::basic_operation_base | ( |  | ) |

inline

Definition at line 57 of file aggregator.h.

: aggregator_operation() {}
tbb::interface6::aggregator_operation::aggregator_operation
aggregator_operation()
Definition: aggregator.h:41

## ~basic_operation_base()

virtual tbb::interface6::internal::basic_operation_base::~basic_operation_base | ( |  | ) |

inline virtual

Definition at line 58 of file aggregator.h.

{}

## Member Function Documentation

## apply_body()

virtual void tbb::interface6::internal::basic_operation_base::apply_body | ( |  | ) |

private pure virtual

Implemented in tbb::interface6::internal::basic_operation< Body >.

Referenced by tbb::interface6::internal::basic_handler::operator()().

Here is the caller graph for this function:

## Friends And Related Function Documentation

## basic_handler

friend class basic_handler

friend

Definition at line 54 of file aggregator.h.

The documentation for this class was generated from the following file:

- aggregator.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.